<?php
require_once('wp-load.php');

$user = wp_get_current_user();
if (!in_array("administrator",$user->roles))
	exit("not an admin");

error_reporting(E_ALL&~E_NOTICE); ini_set('display_errors', 1); 
$posts=get_posts(array('post_type'=>'post', 'post_status'=>'publish', 'posts_per_page'=>-1));
print_r($posts);
exit();


if (file_exists("articles.txt"))
	$content=json_decode(file_get_contents("articles.txt"));
else
{
	$content=array();
	foreach($posts as $post)
	{
		$uri=get_permalink($post->ID);
		$html=file_get_contents($uri);
		
		$doc = new \DOMDocument();
		$doc->loadHTML($html);

		$xpath = new DomXPath($doc);
		$elms = $xpath->evaluate("//*[contains(@class, 'entry-content')]");
		$text="";
		foreach($elms as $elm)
			$text.=$elm->textContent;	
		$content[$post->ID]=$text;
	}
	file_put_contents("articles.txt",json_encode($content));
}

$lexique=file("lexique.txt",FILE_IGNORE_NEW_LINES);

foreach($content as $id=>$text)
{
	$text=html_entity_decode($text);
	$text=strtolower($text);

	$words=preg_split('#[\s,;\.\'’():\n\r\t%/…!À»«]+#imsu',$text);
	
	$wordcount=array();
	foreach($words as $word)
	{
		if (!in_array($word,$lexique) && !is_numeric($word))
			$wordcount[$word]++;
	}
	$tags=array();
	foreach($wordcount as $word=>$count)
	{
		//if ($count>1)
			$tags[]=$word;
	}
	wp_set_post_tags( $id,$tags);
}


